<?php
/**
 * @author      Lefteris Kavadas
 * @copyright   Copyright (c) 2016 - 2024 Lefteris Kavadas / firecoders.com
 * @license     GNU General Public License version 3 or later
 */

namespace Firecoders\Component\CommentBox\Administrator\Helper;

use Joomla\CMS\Factory;
use Joomla\CMS\Router\SiteRouter;
use Joomla\CMS\Uri\Uri;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

class UrlHelper
{
    public static function parse($url)
    {
        $application = Factory::getApplication();
        $uri         = Uri::getInstance($url);
        $router      = Factory::getContainer()->get(SiteRouter::class);
        $router->parse($uri);

        $query = $uri->getQuery(true);

        $component = substr($query['option'], 4);
        $view      = $query['view'];

        $keyName = CommentBoxHelper::getKeyName($query['option']);
        $key     = $query[$keyName];

        if (strpos($key, ':')) {
            [$key, $alias] = explode(':', $key);
        }

        $Itemid = isset($query['Itemid']) ? (int) $query['Itemid'] : 0;

        return [$component, $view, $key, $Itemid];
    }

}
